import { HTTP } from '@cordisjs/plugin-http';
import { MemeInfoResponse, RenderMemeListRequest, UserInfo } from './types';
export declare class MemeAPI {
    readonly http: HTTP;
    constructor(http: HTTP);
    renderList(data?: RenderMemeListRequest): Promise<Blob>;
    getKeys(): Promise<string[]>;
    getInfo(key: string): Promise<MemeInfoResponse>;
    renderPreview(key: string): Promise<Blob>;
    renderMeme(key: string, options?: MemeAPI.RenderOptions): Promise<Blob>;
}
export declare namespace MemeAPI {
    interface RenderOptions {
        images?: Blob[];
        texts?: string[];
        args?: {
            user_infos?: UserInfo[];
        } & Record<string, any>;
    }
}
