import { HTTP } from '@cordisjs/plugin-http';
import { MemeErrorResponse } from './types';
export declare class MemeError extends Error {
    readonly type: MemeError.Types | undefined;
    readonly response: HTTP.Response<MemeErrorResponse>;
    constructor(type: MemeError.Types | undefined, response: HTTP.Response<MemeErrorResponse>);
    get memeMessage(): string;
}
export declare namespace MemeError {
    const types: readonly ["no-such-meme", "text-over-length", "open-image-failed", "params-mismatch", "image-number-mismatch", "text-number-mismatch", "text-or-name-not-enough", "arg-mismatch", "arg-parser-mismatch", "arg-model-mismatch", "meme-feedback"];
    type Types = (typeof types)[number];
    const codeCond: Record<Types, [number, number] | number>;
    function formatMessage(response: HTTP.Response<MemeErrorResponse>): string;
    function getTypeFromCode(code: number): Types | undefined;
    function constructFromHTTPError(error: HTTP.Error): MemeError | undefined;
    function promiseCatchHandler(e: unknown): never;
    function catchWrapper<T>(func: () => Promise<T> | T): Promise<T>;
}
